package com.supervision.ai.service.hub.service;

import com.supervision.ai.service.hub.vo.comfyui.RunPromptReqVo;
import com.supervision.ai.service.hub.vo.comfyui.TaskResultResVo;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;
import java.io.IOException;
import java.util.List;

public interface ComfyUIService {


    String runPrompt(RunPromptReqVo runPromptReqVo);

    List<TaskResultResVo> queryHistory(String promptId);

    String uploadImage(MultipartFile file) throws IOException;

    void downloadView(String imageId, HttpServletResponse response) throws IOException;
}
